<TIPP> Firefox 3: Alte Addons kompatibel machen

Dieses Thema im Forum "Allgemeine Softwarethemen" wurde erstellt von Schripsi, 19.06.2008.

  1. #1 Schripsi, 19.06.2008
    Schripsi

    Schripsi Ultimate Member

    Dabei seit:
    07.09.2004
    Beiträge:
    6.090
    Zustimmungen:
    0
    Ort:
    midtownVienna.at
    Mein Notebook:
    Acer One A150X (mit UMTS)
    Ich hab heute einen Tipp für alle, die noch Addons für Firefox 3 vermissen, weil sie nicht kompatibel sind. Mit diesem "Trick" können fast alle diese Erweiterungen auch problemlos unter der neuen Firefox-Version verwendet werden.

    1. Ladet die .xpi-Datei herunter und öffnet sie nicht direkt in Firefox.
    2. Benennt die heruntergeladene .xpi-Datei in .zip um und entpackt das Archiv in einen eigenen Ordner.
    3. Öffnet die enthaltene install.rdf im normalen Texteditor
    4. Sucht den Eintrag:
    <em:maxVersion>irgendwas</em:maxVersion>
    Das "irgendwas" gibt die Firefox-Versionsnummer an, zu der das jeweilige Plugin offiziell maximal kompatibel ist. Ändert das "irgendwas" einfach in die Ziffer 3 (ohne irgendwas davor oder dahinter), der Eintrag sollte also folgendermaßen ausschauen:
    <em:maxVersion>3</em:maxVersion>
    5. Speichert die Datei.
    6. Fügt alle zuvor entpackten Dateien in ein neues .zip-Archiv.
    7. Benennt das .zip-Archiv wieder in .xpi um.
    8. Zieht die .xpi-Datei jetzt einfach in die Firefox-Tableiste und schon wird die nunmehr kompatible Erweiterung in Firefox integriert.

    Leider ist die Erweiterung "Tab Mix Plus" tatsächlich nicht kompatibel - hier hilft auch der Trick nicht weiter. Alle sonstigen Plugins konnte ich mit dieser Methode problemlos zum Laufen bringen und verrichten nun wieder (wie schon in FF2) ihren Dienst.

    Gutes Gelingen!
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort ist für jeden was dabei!
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. Gott

    Gott Ultimate Member

    Dabei seit:
    22.03.2005
    Beiträge:
    4.029
    Zustimmungen:
    0
    Ort:
    Österreich
    Mein Notebook:
    Maxdata Pro 8100X
    Ich hab den FF in meiner VM zuerst installiert und mal getestet, welche Plugins nicht gehen. Interessanter weise gingen alle Plugins, die ich so benutze. :eek:
     
  4. #3 singapore, 19.06.2008
    singapore

    singapore
    Moderator

    Dabei seit:
    27.01.2007
    Beiträge:
    7.433
    Zustimmungen:
    0
    Ort:
    Good Old Germany ;-)
    Mein Notebook:
    IBM ThinkPad T40
    Es geht auch einfacher:
    Tutorial: Alte Addons zum Firefox 3 kompatibel machen

    Wenn du die aktuellste Version von der Entwicklerwebseite nimmst, geht auch TMP.
     
  5. #4 Schripsi, 19.06.2008
    Zuletzt bearbeitet: 19.06.2008
    Schripsi

    Schripsi Ultimate Member

    Dabei seit:
    07.09.2004
    Beiträge:
    6.090
    Zustimmungen:
    0
    Ort:
    midtownVienna.at
    Mein Notebook:
    Acer One A150X (mit UMTS)
    Ich finde nur die 0.3.6 - die hab ich auch installiert und die funktioniert leider so oder so nicht.

    / EDIT: Danke, hat sich erledigt - hab's gefunden. Vielen Dank für den Tipp, endlich gehen alle mein Plugins wieder und FF3 funzt dahin.
     
  6. #5 MrGroover, 20.06.2008
    MrGroover

    MrGroover Forum Master

    Dabei seit:
    26.09.2006
    Beiträge:
    918
    Zustimmungen:
    0
    Ort:
    Deutschland
    Mein Notebook:
    Q35-Pro Bitasa
    Bitte mal den Link mit posten... Nichts ist ärgerlicher als nur ne Erfolgsmeldung ohne zu wissen, wie/wo die Lösung letztendlich zu finden war/ist. Danke. :)
     
  7. #6 singapore, 20.06.2008
    singapore

    singapore
    Moderator

    Dabei seit:
    27.01.2007
    Beiträge:
    7.433
    Zustimmungen:
    0
    Ort:
    Good Old Germany ;-)
    Mein Notebook:
    IBM ThinkPad T40
  8. Anzeige

    Auf der Suche nach Notebook-Zubehör?
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  9. #7 MrGroover, 20.06.2008
    MrGroover

    MrGroover Forum Master

    Dabei seit:
    26.09.2006
    Beiträge:
    918
    Zustimmungen:
    0
    Ort:
    Deutschland
    Mein Notebook:
    Q35-Pro Bitasa
    Danke schön, hät man sonst wieder ewig suchen müssen... :D
     
  10. #8 singapore, 20.06.2008
    singapore

    singapore
    Moderator

    Dabei seit:
    27.01.2007
    Beiträge:
    7.433
    Zustimmungen:
    0
    Ort:
    Good Old Germany ;-)
    Mein Notebook:
    IBM ThinkPad T40
    Wenn jetzt noch needlesearch upgedatet würde und die Themes funktionieren würde, wäre ich auch glücklich.
     
Thema:

<TIPP> Firefox 3: Alte Addons kompatibel machen

Die Seite wird geladen...

<TIPP> Firefox 3: Alte Addons kompatibel machen - Ähnliche Themen

  1. YouTube Videos erzeugen schwerwiegenden Fehler mit dem Firefox

    YouTube Videos erzeugen schwerwiegenden Fehler mit dem Firefox: Hallo, habe meiner Frau letztens ein HP Notebook - 15-g230ng gekauft. Sie nutzt es überwiegend um auf YouTube diverse thai movies zu schauen....
  2. Firefox: Master-Passwort bringt nicht die erhoffte Sicherheit?!

    Firefox: Master-Passwort bringt nicht die erhoffte Sicherheit?!: In Firefox 14 möchte ich meine gespeicherten Kennwörter mit dem Master-Passwort schützen. Das Erstellen des Passwortes war auch kein Problem....
  3. Firefox Problem

    Firefox Problem: Guten Abend hab mir vor 2 Monaten ein Dell Laptop gekauft Alles läuft einwandfrei nur seit kurzem hängt sich einfach des Firefox auf der...
  4. Satellite R630 - Touchpad scrollt im Firefox nicht

    Satellite R630 - Touchpad scrollt im Firefox nicht: Hi Leute, ich habe seit kurzem das obergeile Notebook Satellite R630 14X. Die einzige Sache die mich gerade aber ziemlich stört ist, dass das...
  5. Frage zu https + Firefox-Add-on

    Frage zu https + Firefox-Add-on: Tagchen, mir ist klar, dass Online-Shops besonders gesichert werden müssen. Ab und zu kann ich beobachten, dass ein https aus dem normalen...